<div class="container">
  <mat-toolbar>
      <span>SISTEMA DE BIBLIOTECA-</span><div style="font-size: 15px">LIBROS</div> 
      <div class="example-spacer"></div>
      <button mat-raised-button color="primary" routerLink="/dashboard/crear-libros">Agregar</button>
  </mat-toolbar>
    <!-- Especificamos que se note la tabla si es mayor a 0 si no que no se vea -->
    <div *ngIf="listLibros.length > 0">
      <div class="Tablas"> 
           <!-- Libreria de angula para buscar -->
          <mat-form-field>
              <mat-label>Buscador</mat-label>
              <input matInput (keyup)="applyFilter($event)" placeholder="Buscar libro" #input>
          </mat-form-field>
          <div class="mat-elevation-z8">
              <table mat-table [dataSource]="dataSource" class="mat-elevation-z21">
                <!-- Columna de nombre -->
                <ng-container matColumnDef="libro">
                  <th mat-cell *matHeaderCellDef> Nombre del libro </th>
                  <td mat-cell *matCellDef="let element"> {{element.libro}} </td>
                </ng-container>
              
                <!-- Columna de apellido -->
                <ng-container matColumnDef="escritor">
                  <th mat-cell *matHeaderCellDef> Escritor </th>
                  <td mat-cell *matCellDef="let element"> {{element.escritor}} </td>
                </ng-container>
              
                <!-- Columna de telefonos -->
                <ng-container matColumnDef="categoria">
                  <th mat-cell *matHeaderCellDef> Categoria </th>
                  <td mat-cell *matCellDef="let element"> {{element.categoria}} </td>
                </ng-container>
  
                <!-- Columna de Roles-->
                <ng-container matColumnDef="ano">
                    <th mat-cell *matHeaderCellDef> Año realizado</th>
                    <td mat-cell *matCellDef="let element"> {{element.ano}} </td>
                </ng-container>
                
                <!-- Columna de Roles-->
                <ng-container matColumnDef="pdf">
                  <th mat-cell *matHeaderCellDef> PDF </th>
                  <td mat-cell *matCellDef="let element"> {{element.pdf}} </td>
                </ng-container>
                <!-- Columna de logo eliminar, editar y buscar -->
                <ng-container matColumnDef="acciones">
                    <th mat-cell *matHeaderCellDef></th>
                    <td mat-cell *matCellDef="let element; let i = index" style="text-align:right;">
                        <a class="pointer" style="color: green;" matTooltip="Editar"><mat-icon>edit</mat-icon></a>
                        <a class="pointer" (click)="eliminarLibros(i)" style="color:red ;" matTooltip="Eliminar"><mat-icon>delete</mat-icon></a>
                    </td>
                </ng-container>
                 <!-- Libreria de angular que da colmuna ordena -->
                <tr mat-header-row *matHeaderRowDef="displayedColumns"></tr>
                <tr mat-row *matRowDef="let row; columns: displayedColumns;"></tr>
              </table>
              <mat-paginator [pageSizeOptions]="[5, 10, 25, 100]" aria-label="Select page of users"></mat-paginator>
          </div>
      </div>
    </div>
     <!-- Si la comluna esta vacia mostrar -->
    <h2 *ngIf="listLibros.length == 0">No hay registro para mostrar en tabla</h2>
</div>
